#include <iostream>

using namespace std;

void printShiftedTriangle(int n, int m, char symbol);

void printPineTree(int n, char symbol);

int main() {
    int num;
    char symbol;

    cout << "Enter a positive number: ";
    cin >> num;
    cout << "Enter a symbol: ";
    cin >> symbol;

    printPineTree(num, symbol);
    return 0;
}

void printShiftedTriangle(int n, int m, char symbol) {
    for (int i = 0, j = m; i < n; ++i, --j) {
        for (int k = 0; k < j; ++k) cout << " ";
        for (int l = 0; l < 2 * i + 1; ++l) cout << symbol;
        cout << endl;
    }
}

void printPineTree(int n, char symbol) {
    for (int i = 0; i < n; ++i) {
        printShiftedTriangle(i + 2, n, symbol);
    }
}

